#pragma option v;

/*
   These routines may be adapted for any purpose when
   used with the MPC Code Development system.  No
   warranty is implied or given as to their usability
   for any purpose.

        (c) Copyright 1995

        Byte Craft Limited
        Waterloo, Ontario
        Canada N2J 4E4
        (519) 888-6911

        Sherif Abdel-Kader
*/

// This program illustrates the use of pointers to functions;
//
// NOTES:  1. Pointers to functions don't work with PIC16C5X
//         2. Pointers to functions don't work with forward
//            references (i.e. function must be defined before
//                        it is called through a pointer).
//

#include <17C42.h>

void f1(void)
{
   int y;
   y = 8;
   y++;
}

void (*fp) ();    // Pointer to function

void main()
{
  fp = &f1;    // Pointer to function
  (*fp)();     // Call function through pointer
}
